Bug 177418 - Doc: Need an explanation of logic for split-brain syndrome with RHCS4
Doc: Need an explanation of logic for split-brain syndrome with RHCS4
Status: CLOSED NOTABUG
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: rh-cs-en (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Kennedy
Cluster QE
: Documentation
Depends On:
Blocks: 190206
  Show dependency treegraph
 
Reported: 2006-01-10 10:38 EST by Paul Kennedy
Modified: 2015-04-19 20:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-04 12:11:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paul Kennedy 2006-01-10 10:38:28 EST
Description of problem:
Extracted from from email to cluster-list from Shinya Takagi, 1/10/06:
Need an explanation of logic for split-brain syndrome with RHCS4

"...As all we know, RHCS4 doesn't have network tiebreaker anymore especially
4 or more nodes.
Then, how application (in this case. cman is...I guess) will detect to
be a master node and what kind of logic are following to be a master
node ? And I wonder which node will become the master node if 2 and 2
split brain syndrome was occurred in 4 node cluster system. Is that same
logic as 2-node cluster, which is basically faster node to be able to
contact to fencing device (very primitive way  :-)  ) ?

In RHEL3 CS, each node has a "map" who is a master and always being
compared.
So that if split brain was occurred, voting to other nodes and decided
which one will be fenced.
Does it RHCS3 and RHCS4 are used all same logic for fencing ?..."


Version-Release number of selected component (if applicable):
rh-cs(EN)-4-HTML-RHI (2005-11-30T16:52) and
rh-cs(EN)-4-Print-RHI (2005-11-30T16:52)

How reproducible:
N/A

Steps to Reproduce: N/A
1.
2.
3.
  
Actual results:
N/A

Expected results:
N/A

Additional info: none
Comment 1 David Lawrence 2006-04-18 16:32:49 EDT
NEEDINFO_ENG has been deprecated in favor of NEEDINFO or ASSIGNED. Changing
status to ASSIGNED for ENG review.
Comment 4 Paul Kennedy 2007-01-04 12:11:42 EST
Unless there is a defect in the cluster software, there is no possiblity of a
split-brain cluster. However, the concept of split-brain is covered in RHCS4
overview doc. 

Note You need to log in before you can comment on or make changes to this bug.